path: /build/build/qtscript-dev-qt-5-5.15.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-scripttools -test" emerge dev-qt/qtscript:5 -pv -t && \
    USE="-scripttools -test" emerge -j ${JOBS} --nodeps dev-qt/qtscript:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtscript && luet-portage --dir /pkgdir/qtscript
    dev-qt/qtscript:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a412ac81d371392945f9f396ac145af416963c79916c611b7f43eee3c018d4f4
  package:
    name: qtscript
    version: 5.15.2+1
    category: dev-qt-5
    use_flags:
    - -scripttools
    - -test
    requires:
    - name: qtcore
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Application scripting library for the Qt5 framework (deprecated)
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-02-07 02:28:02.795867276 +0000 UTC m=+151.407869739
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2* scripttools? ( =dev-qt/qtgui-5.15.2* =dev-qt/qtwidgets-5.15.2*
        ) test? ( =dev-qt/qttest-5.15.2* )
      IUSE: +jit scripttools debug test
      RDEPEND: =dev-qt/qtcore-5.15.2* scripttools? ( =dev-qt/qtgui-5.15.2* =dev-qt/qtwidgets-5.15.2*
        )
      emerge.packages: dev-qt/qtscript:5
      kit: qt-kit
      original.package.name: dev-qt/qtscript
      original.package.slot: "5"
      original.package.version: 5.15.2_p20231127
    treedir: /build/packages
  package_dir: /pkgdir/qtscript
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0130515de53df6a4f493d810c972152d36e70281b53a422a424751f6fef854f2
compressiontype: zstd
files:
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptable_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptactivationobject_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptast_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptastfwd_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptastvisitor_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptclassobject_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptcontext_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptdeclarativeclass_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptdeclarativeobject_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptengine_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptengineagent_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptfunction_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptglobalobject_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptgrammar_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptlexer_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptobject_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptparser_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptprogram_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptqobject_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptstaticscopeobject_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptstring_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptsyntaxchecker_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptvalue_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qscriptvariant_p.h
- usr/include/qt5/QtScript/5.15.17/QtScript/private/qtscript-config_p.h
- usr/include/qt5/QtScript/QScriptClass
- usr/include/qt5/QtScript/QScriptClassPropertyIterator
- usr/include/qt5/QtScript/QScriptContext
- usr/include/qt5/QtScript/QScriptContextInfo
- usr/include/qt5/QtScript/QScriptContextInfoList
- usr/include/qt5/QtScript/QScriptEngine
- usr/include/qt5/QtScript/QScriptEngineAgent
- usr/include/qt5/QtScript/QScriptExtensionInterface
- usr/include/qt5/QtScript/QScriptExtensionPlugin
- usr/include/qt5/QtScript/QScriptProgram
- usr/include/qt5/QtScript/QScriptString
- usr/include/qt5/QtScript/QScriptSyntaxCheckResult
- usr/include/qt5/QtScript/QScriptValue
- usr/include/qt5/QtScript/QScriptValueIterator
- usr/include/qt5/QtScript/QScriptValueList
- usr/include/qt5/QtScript/QScriptable
- usr/include/qt5/QtScript/QtScript
- usr/include/qt5/QtScript/QtScriptDepends
- usr/include/qt5/QtScript/QtScriptVersion
- usr/include/qt5/QtScript/qscriptable.h
- usr/include/qt5/QtScript/qscriptclass.h
- usr/include/qt5/QtScript/qscriptclasspropertyiterator.h
- usr/include/qt5/QtScript/qscriptcontext.h
- usr/include/qt5/QtScript/qscriptcontextinfo.h
- usr/include/qt5/QtScript/qscriptengine.h
- usr/include/qt5/QtScript/qscriptengineagent.h
- usr/include/qt5/QtScript/qscriptextensioninterface.h
- usr/include/qt5/QtScript/qscriptextensionplugin.h
- usr/include/qt5/QtScript/qscriptprogram.h
- usr/include/qt5/QtScript/qscriptstring.h
- usr/include/qt5/QtScript/qscriptvalue.h
- usr/include/qt5/QtScript/qscriptvalueiterator.h
- usr/include/qt5/QtScript/qtscript-config.h
- usr/include/qt5/QtScript/qtscriptglobal.h
- usr/include/qt5/QtScript/qtscriptversion.h
- usr/lib64/cmake/Qt5Script/Qt5ScriptConfig.cmake
- usr/lib64/cmake/Qt5Script/Qt5ScriptConfigVersion.cmake
- usr/lib64/libQt5Script.prl
- usr/lib64/libQt5Script.so
- usr/lib64/libQt5Script.so.5
- usr/lib64/libQt5Script.so.5.15
- usr/lib64/libQt5Script.so.5.15.17
- usr/lib64/pkgconfig/Qt5Script.pc
- usr/lib64/qt5/mkspecs/modules/qt_lib_script.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_script_private.pri
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/BDEPEND
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/BUILD_TIME
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/CATEGORY
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/CBUILD
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/CFLAGS
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/CHOST
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/CONTENTS
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/COUNTER
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/CXXFLAGS
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/DEFINED_PHASES
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/DEPEND
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/DESCRIPTION
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/EAPI
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/FEATURES
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/HOMEPAGE
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/INHERITED
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/IUSE
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/KEYWORDS
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/LDFLAGS
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/LICENSE
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/NEEDED
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/PF
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/PROVIDES
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/RDEPEND
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/REQUIRES
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/RESTRICT
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/SIZE
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/SLOT
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/USE
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/environment.bz2
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/qtscript-5.15.2_p20231127.ebuild
- var/db/pkg/dev-qt/qtscript-5.15.2_p20231127/repository
package_cacheimage: ""
runtime:
  name: qtscript
  version: 5.15.2+1
  category: dev-qt-5
  use_flags:
  - -scripttools
  - -test
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Application scripting library for the Qt5 framework (deprecated)
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2* scripttools? ( =dev-qt/qtgui-5.15.2* =dev-qt/qtwidgets-5.15.2*
      ) test? ( =dev-qt/qttest-5.15.2* )
    IUSE: +jit scripttools debug test
    RDEPEND: =dev-qt/qtcore-5.15.2* scripttools? ( =dev-qt/qtgui-5.15.2* =dev-qt/qtwidgets-5.15.2*
      )
    emerge.packages: dev-qt/qtscript:5
    kit: qt-kit
    original.package.name: dev-qt/qtscript
    original.package.slot: "5"
    original.package.version: 5.15.2_p20231127
